{% extends 'base.jinja2' %}

{% set main_class = "form-container" %}
{% set next = ('?next=' + next if next else '') %}
{% set title_level = 1 %}
{% block menu %}{% include 'ej_users/includes/menu.jinja2' %}{% endblock %}


{% block content %}
    <img class="pad-t3 block margin-xauto logo-size" src="{{ static('/img/login/login.svg') }}" style="left: 1rem"
         alt="">
    <h{{ title_level|safe }} class="h2 text-accent center"{% if title_level != 1 %}
                             aria-hidden="true"{% endif %}>{{ title|default(_(settings.EJ_LOGIN_TITLE_TEXT)) }}</h{{ title_level|safe }}>

    {% block form_data %}{% endblock %}

    <h2 class="screen-reader center">{{ _('Other options') }}</h2>
    <div class="center"><a href="{{ url('auth:recover-password') }}" class="semi-bold underline">{{ _('Recover password') }}</a></div>
    {# SOCIAL LOGIN #}
    {% if social_buttons|default(false) %}
        {{ social_js }}
        <p class="center" aria-hidden="true">{{ _('or sign up through other networks') }}</p>
        <div class="row flex-center items-center">
            {% for button in social_buttons %}{{ button }}{% endfor %}
        </div>
    {% endif %}
    {% block form_footer %}{% endblock %}
{% endblock %}


{% block javascript %}
    {{ super() }}
    <script>
        window.addEventListener('load', function () {
            var el = $('.errorlist').attr({role: 'alert'})[0];
            if (el) {
                $(el.previousElementSibling).focus();
            }
        })
    </script>
{% endblock %}
